#!/bin/sh

sdk="${1:-./}"

cat <<EOF >.zshrc
# local zshrc for easy start of console
# usage: ZDOTDIR=/path/to/sdk zsh
pushd \$ZDOTDIR > /dev/null
 
source sdk
load devuan devuan-desktop-metal daedalus
popd > /dev/null
EOF

echo ""
echo "build_metal_dist installs to disk_name found in /dev/disk/by-id and set in blends/devuan-desktop-live/config"
echo ""
echo "Sequence:"
echo "image_partition_disk_zfs"
echo "image_format_partitions_zfs"
echo "use_swap_partition"
echo "bootstrap_complete_base"
echo "blend_preinstall"
echo "build_kernel_\${arch}"
echo "blend_postinst"
echo "image_zfs_umount"
echo ""
echo "Available functions:"
echo "use_swap_partitions"
echo "image_zfs_mount"
echo "image_zfs_umount"
echo "image_partition_disk_zfs"
echo "image_format_partitions_zfs"
echo "get_selections"
echo "set_selections"
echo "install_kernel_headers"
echo "install_zfs"
echo "install_grub"
echo ""

ZDOTDIR=$sdk zsh
